Subject: bug#67651: [gnome-team] What should we do with the "gnome" package?

From: Efraim Flashner <[email-masked]>
Date: Thu, 7 Dec 2023 13:25:54 +0200

On Tue, Dec 05, 2023 at 09:55:56PM +0100, Vivien Kraus via Bug reports for GNU Guix wrote:
> Dear guix,
>
> The gnome package disables eog on 32-bit machines because it depends on
> librsvg-next. It seems a bit outdated to me, as most of gnome won’t
> work on 32-bit machines, not only eog. Should we try and find which
> ones work on 32-bit systems?

One option would be to wrap everything in 'supported-package?' and
append everything together. Then if something depends on the newer
librsvg and that isn't supported on that architecture it will just be
skipped.

Something to keep in mind though is the rust-team branch adds support
for cross-building rust, so you could end up with a different set of
packages depending on cross-building.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted